﻿;Click-through "Overlay" v1
;Press Win+W to toggle "stay on top", "click through",
;and "transparency" properties on or off for the currently active window.
;Please note that there are no sanity checks whatsoever, whatever window
;is active will toggle all these properties - this includes "windows" like 
;your taskbar. Hit Win+W again if you had an accident.

;How to customize:
;On line 26, you can change the default hotkey.
;On line 38, you can change the transparency to anywhere between opaque and invisible.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


#Persistent
WinTitle = A
SetTitleMatchMode, 2
FallThrough = 0
;WinSet, ExStyle, +0x20, % WinTitle ; 0x20 = WS_EX_CLICKTHROUGH
;WinSet, Transparent, 100, % WinTitle ; for convinience, but you can take this out
;WinSet, AlwaysOnTop, On, % WinTitle
return


	#W:: ;default is #W (Win+W)
	if FallThrough = 1
	{
	    FallThrough = 0
	    WinSet, ExStyle, -0x20, % WinTitle
	    WinSet, Transparent, 255, % WinTitle
	    WinSet, AlwaysOnTop, Off, % WinTitle
	}
	else
	{
	    FallThrough = 1
	    WinSet, ExStyle, +0x20, % WinTitle
	    WinSet, Transparent, 120, % WinTitle ;default is 120, range 0-255 with 255 being opaque
	    WinSet, AlwaysOnTop, On, % WinTitle
	}
	return
